# Interface BuildingSceneSublayerJson

The BuildingSceneLayer sublayer is a part of a building scene layer.

interface BuildingSceneSublayerJson {
disablePopup?: boolean;
id?: number;
layerDefinition?: LayerDefinitionJson;
listMode?: LayerListMode;
opacity?: number;
popupInfo?: PopupInfoJson;
title?: string;
visibility?: boolean;
}

#### Hierarchy (view full)

- BuildingSceneSublayerJson
  - BuildingSublayerProperties

#####
Index

### Properties

disablePopup?
id?
layerDefinition?
listMode?
opacity?
popupInfo?
title?
visibility?

##
Properties

### `Optional` disablePopup

disablePopup?: boolean

Allows a client to ignore popups defined by the service item.

### `Optional` id

id?: number

Identifies the sublayer inside the building scene layer.

### `Optional` layerDefinition

layerDefinition?: LayerDefinitionJson

Additional properties that can define drawing information and a definition expression for the sublayer. See layerDefinition properties table.

### `Optional` listMode

listMode?: LayerListMode

To show or hide the sublayer in the layer list. If property is present, must be one of the following values: show, hide.

### `Optional` opacity

opacity?: number

The degree of transparency applied to the sublayer on the client side, where 0 is full transparency and 1 is no transparency. This is multiplied with the opacity of the containing layers.

### `Optional` popupInfo

popupInfo?: PopupInfoJson

A popupInfo object defining the content of pop-up windows when you click or query a feature.

### `Optional` title

title?: string

A user-friendly string title for the sublayer that can be used in a table of contents.

### `Optional` visibility

visibility?: boolean

Boolean property determining whether the sublayer is initially visible in the web scene.